// *****************************************************************************
// ScaleRespawn Mutator.
// - Author: Mathieu Helie
// - Contact: matt@solarweb.hypermart.net
// - ScaleRespawn allows you to define a multiplier for inventory actor respawn
//   time. The target audience for this mutator is server administrators running
//   games with large player counts (read: 16+). This is a result of my own frustration
//   of never seeing any health/ammo/armor when playing on the RivalWorks CTF server.
// - RivalWorks: Please use this mutator.
// *****************************************************************************

class ScaleRespawn extends Mutator
	config(Mutators);

var() config float ScaleRespawnTime;

function bool IsRelevant(Actor Other, out byte bSuperRelevant) {

	if (Inventory(Other) != none)
   	Inventory(Other).RespawnTime *= ScaleRespawnTime;

	return super.IsRelevant(Other, bSuperRelevant);
	}

defaultproperties {
	ScaleRespawnTime=1
   }